Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1958778 - KDE Plasma Wayland - clicking on taskbar to bring windows to the front doesn't work
Summary: KDE Plasma Wayland - clicking on taskbar to bring windows to the front doesn'...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-desktop
Version: 34
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: KDEWaylandRelated
TreeView+ depends on / blocked
 
Reported: 2021-05-10 06:53 UTC by Uri Simchoni
Modified: 2022-06-07 22:26 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-07 22:26:24 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
journalctl -ab output (deleted)
2021-05-10 06:54 UTC, Uri Simchoni
no flags Details
lspci output (deleted)
2021-05-10 06:55 UTC, Uri Simchoni
no flags Details
packages (deleted)
2021-05-10 06:55 UTC, Uri Simchoni
no flags Details

Description Uri Simchoni 2021-05-10 06:53:30 UTC
Description of problem:
When two windows of the same program are open, and a third window of a different program hides them, clicking on the taskbar to bring one of the windows to the front does not work. When using X instead of Wayland, everything works fine.

Version-Release number of selected component (if applicable):
KDE Frameworks Version: 5.81.0
Qt Version: 5.15.2
Kernel Version: 5.11.18-300.fc34.x86_64

How reproducible:
Reproduces all the time

Steps to Reproduce:
1. Launch two windows of google chrome
2. Launch one window of Konsole (at this point the Konsole window covers the chrome windows)
3. Click on the taskbar on the Chrome icon

Actual results:
Nothing happens - Konsole stays in the foreground (incl. keyboard focus)

Expected results:
One of the Chrome windows pops to the foreground

Additional info:

Doesn't happen on X. This just one usability issue with Plasma on Wayland, I don't want to overwhelm bugzilla with all of them b/c they might have a common cause.

Comment 1 Uri Simchoni 2021-05-10 06:54:39 UTC
Created attachment 1781540 [details]
journalctl -ab output

Comment 2 Uri Simchoni 2021-05-10 06:55:01 UTC
Created attachment 1781541 [details]
lspci output

Comment 3 Uri Simchoni 2021-05-10 06:55:29 UTC
Created attachment 1781542 [details]
packages

Comment 4 Rex Dieter 2021-05-10 14:48:28 UTC
I cannot reproduce what is reported here.

Clicking items in taskbar always brings them to the front for me.

Comment 5 Uri Simchoni 2021-05-10 15:07:50 UTC
(In reply to Rex Dieter from comment #4)
> I cannot reproduce what is reported here.
> 
> Clicking items in taskbar always brings them to the front for me.

That's a pitty... Is there a way for me to add debug information that will give more visibility into the problem? Plasma is not a program you just run, so the additional documented debugging aids in https://fedoraproject.org/wiki/How_to_debug_Wayland_problems#Filing_a_bug don't seem to apply.

Comment 6 Rex Dieter 2021-05-10 15:14:23 UTC
If the problem is not readily reproducible, that makes debugging a lot harder unfortunately. :(

That said, may be worth asking on other support forums first to see if other users see this or not.  That may help identify some common factors.

In general, I encourage you to reach out to upstream kde.org resources as much as possible when reporting bugs/problems, as they will be in the best position to diagnose and ultimately fix problems.  At least if you're not sure it's a fedora-specific issue.

Options include:

https://fedoraproject.org/wiki/Communicating_and_getting_help

some specifically,
* fedora kde mailing list, https://lists.fedoraproject.org/admin/lists/kde.lists.fedoraproject.org/
* fedora kde chat (irc/matrix)
* kde project chat, https://userbase.kde.org/IRC_Channels
* https://forum.kde.org/
* https://ask.fedoraproject.org

Comment 7 Uri Simchoni 2021-05-11 05:34:48 UTC
(In reply to Rex Dieter from comment #6)
https://bugs.kde.org/show_bug.cgi?id=436907

Thanks!

Comment 8 Uri Simchoni 2021-05-15 03:32:00 UTC
Upstream bug says it's fixed in Plasma 5.22 - is upgrade to 5.22 something we can expect in Fedora 34 or is it a subject for future releases of Fedora?

Comment 9 marcdeop 2021-05-15 08:52:39 UTC
(In reply to Uri Simchoni from comment #8)
> Upstream bug says it's fixed in Plasma 5.22 - is upgrade to 5.22 something
> we can expect in Fedora 34 or is it a subject for future releases of Fedora?

Normally we do update Plasma for the latest Fedora release.

Comment 10 Ben Cotton 2022-05-12 15:36:24 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 11 Ben Cotton 2022-06-07 22:26:24 UTC
Fedora Linux 34 entered end-of-life (EOL) status on 2022-06-07.

Fedora Linux 34 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.